Page MenuHomePhabricator

Directionality problem on "Special:Preferences" in RTL languages: "Image size limit" field displays as "600px×800"
Closed, ResolvedPublic

Description

When using an RTL interface language (e.g. Hebrew), there's a directionality problem on "Special:Preferences => Appearance", under the "Files" section.

Next to the "image size limit" field, the text is displayed as 600px×800 instead of 800×600px.

Here is a screenshot:

Event Timeline

Guycn2 created this task.Aug 31 2016, 12:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2016, 12:41 PM
Aklapper renamed this task from Directionality problem on "Special:Preferences" in RTL languages to Directionality problem on "Special:Preferences" in RTL languages: "Image size limit" field displays as "600px×800".Aug 31 2016, 1:15 PM
Huji claimed this task.Oct 17 2016, 3:40 AM
Huji triaged this task as Lowest priority.
Huji added a comment.Nov 27 2016, 4:46 AM

To force it to read LTR, I added a ‎ character before the × (i.e. "times") character.

This is better than changing the directionality of the select element to ltr, because when the form is RTL, the element must be RTL too (otherwise the dropdown arrow will be on the wrong side).

Change 323675 had a related patch set uploaded (by Huji):
"Image size limit" text should always read left-to-right

https://gerrit.wikimedia.org/r/323675

Change 323675 merged by jenkins-bot:
"Image size limit" text should always read left-to-right

https://gerrit.wikimedia.org/r/323675

Huji closed this task as Resolved.Dec 21 2016, 8:07 PM
Huji removed a project: Patch-For-Review.